Subject: [Dance] Re: merging architecture document into client-auth
From: Wes Hardaker <[email-masked]>
To: Michael Richardson <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Jul 2026 13:10:54 -0700
List-Id: DANE Authentication for Network Clients Everywhere <dance.ietf.org>

Michael Richardson <[email-masked]> writes:

Greetings all, please do weigh in on this if you have an opinion:

> I did a PR merging the bulk of the architecture use cases into the
> client-auth document, nearer the end of the document.
> There are no doubt some wording changes and forward references needed in
> client-auth's introduction text.
> 
> Please see:
>   https://github.com/ietf-wg-dance/draft-ietf-dance-client-auth/pull/13
> 
> this would reduce work to a single document.
> 
> My observation is that we got many review comments that were confused about
> how/when this would be used, how it violated privacy assumptions of
> end-users, etc.   Because the entire context of the work was not understood.
> 
> --
> Michael Richardson <[email-masked]>, Sandelman Software Works

>  -= IPv6 IoT consulting =-                      *I*LIKE*TRAINS*

*I*LIKE*BOATS*

(and trains)

-- 
Wes Hardaker
Google